summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/chain/0003rename_1
diff options
context:
space:
mode:
Diffstat (limited to 'iptables/tests/shell/testcases/chain/0003rename_1')
-rwxr-xr-xiptables/tests/shell/testcases/chain/0003rename_112
1 files changed, 12 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/chain/0003rename_1 b/iptables/tests/shell/testcases/chain/0003rename_1
new file mode 100755
index 00000000..975c8e19
--- /dev/null
+++ b/iptables/tests/shell/testcases/chain/0003rename_1
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+$XT_MULTI iptables -N c1 || exit 0
+$XT_MULTI iptables -N c2 || exit 0
+$XT_MULTI iptables -E c1 c2 || exit 1
+
+$XT_MULTI ip6tables -N c1 || exit 0
+$XT_MULTI ip6tables -N c2 || exit 0
+$XT_MULTI ip6tables -E c1 c2 || exit 1
+
+echo "E: Renamed with existing chain" >&2
+exit 0